import { InjectionToken } from '@angular/core';
/** Injection token to be used to override the default options. */
export const RX_VIRTUAL_SCROLL_DEFAULT_OPTIONS = new InjectionToken('rx-virtual-scrolling-default-options', {
    providedIn: 'root',
    factory: RX_VIRTUAL_SCROLL_DEFAULT_OPTIONS_FACTORY,
});
/** @internal */
export function RX_VIRTUAL_SCROLL_DEFAULT_OPTIONS_FACTORY() {
    return {
        runwayItems: DEFAULT_RUNWAY_ITEMS,
        runwayItemsOpposite: DEFAULT_RUNWAY_ITEMS_OPPOSITE,
        viewCacheSize: DEFAULT_VIEW_CACHE_SIZE,
        itemSize: DEFAULT_ITEM_SIZE,
    };
}
/** @internal */
export const DEFAULT_VIEW_CACHE_SIZE = 20;
/** @internal */
export const DEFAULT_ITEM_SIZE = 50;
/** @internal */
export const DEFAULT_RUNWAY_ITEMS = 10;
/** @internal */
export const DEFAULT_RUNWAY_ITEMS_OPPOSITE = 2;
//# sourceMappingURL=virtual-scroll.config.js.map