import { EmbeddedViewRef, IterableDiffers, NgIterable, TrackByFunction } from '@angular/core';
import { RxListViewContext } from '@rx-angular/cdk/template';
import { Observable } from 'rxjs';
import { ListRange, RenderSettings, TemplateSettings } from './model';
export declare type VirtualListManager<T, C> = {
    render(data$: Observable<NgIterable<T> | null | undefined>, range$: Observable<ListRange>): Observable<any>;
    nextStrategy: (config: string | Observable<string>) => void;
    viewsRendered$: Observable<EmbeddedViewRef<C>[]>;
    viewRendered$: Observable<{
        index: number;
        view: EmbeddedViewRef<C>;
        item: T;
    }>;
    renderingStart$: Observable<void>;
    detach(): void;
};
export declare function createVirtualListManager<T, C extends RxListViewContext<T>, U>(config: {
    renderSettings: RenderSettings;
    templateSettings: TemplateSettings<T, C, U>;
    trackBy: TrackByFunction<T>;
    iterableDiffers: IterableDiffers;
}): VirtualListManager<T, C>;
